Click here to Skip to main content
14,732,983 members
Please Sign up or sign in to vote.
5.00/5 (1 vote)
See more:
Hi all,

I am trying to synchronize the two databases programmatically. So I have downloaded from msdn[^] and install my system to add the references of below dlls.

Microsoft.Synchronization.dll
 Microsoft.Synchronization.Data.dll
 Microsoft.Synchronization.Data.SqlServer.dll


When I added those dll and build it returns an error.

Error:

Error  1   Assembly 'Microsoft.Synchronization.Data, Version=3.1.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91' uses 'Microsoft.Synchronization, Version=2.1.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91' which has a higher version than referenced assembly 'Microsoft.Synchronization, Version=1.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91' c:\Program Files (x86)\Microsoft SDKs\Microsoft Sync Framework\2.1\Runtime\ADO.NET\V3.1\x86\Microsoft.Synchronization.Data.dll  SyncDb


can anyone tell me how can slove this?

thanks in advance.
Posted

1 solution

hi all,

finally I degrade the framework v4.0 to v2.0, now working fine.

thank you for all.
   
Comments
Johnson Augustine 10-Dec-15 14:46pm
   
it doesn't works for me , i still getting same error could not load file or assembly microsof.synchronizatio.data.sqlserver, version 3.1.0.0
[no name] 10-Dec-15 20:07pm
   
Why not? I tried it with V0.0001 and it worked.

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)




CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900